@font-face {
  font-family: Anybody;
  src: url('../fonts/Anybody-Regular.woff2') format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: block;
}

@font-face {
  font-family: Caveat;
  src: url('../fonts/Caveat-Regular.woff2') format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: Geist;
  src: url('../fonts/Geist-Medium.woff2') format("woff2");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: Inter;
  src: url('../fonts/Inter-Regular.woff2') format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: Interdisplay;
  src: url('../fonts/InterDisplay-Regular.woff2') format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: Geist;
  src: url('../fonts/Geist-Regular.woff2') format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: Inter;
  src: url('../fonts/Inter-Medium.woff2') format("woff2");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

:root {
  --color-black: #1b1b1b;
  --color-cream: #d4ccb7;
  --color-white: white;
}

body {
  color: #333;
  font-family: Arial, Helvetica Neue, Helvetica, sans-serif;
  font-size: 14px;
  line-height: 20px;
}

h1 {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 38px;
  font-weight: 700;
  line-height: 44px;
}

h2 {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 32px;
  font-weight: 700;
  line-height: 36px;
}

h3 {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 24px;
  font-weight: 700;
  line-height: 1.1;
}

h4 {
  text-align: center;
  letter-spacing: -.025rem;
  text-transform: capitalize;
  margin-top: 0;
  margin-bottom: 0;
  font-size: 1.25rem;
  font-weight: 400;
  line-height: 1;
}

h5 {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 1rem;
  font-weight: 700;
}

p {
  margin-top: 0;
  margin-bottom: 0;
}

a {
  color: var(--color-black);
  text-decoration: none;
}

.embed-style {
  position: fixed;
  inset: 0% auto auto 0%;
}

.hero-section {
  flex-flow: column;
  justify-content: center;
  align-items: center;
  min-height: 100svh;
  max-height: 100svh;
  padding: 2.5rem 1rem 10rem;
  display: flex;
}

.body {
  background-color: var(--color-cream);
  color: var(--color-black);
  font-family: Anybody, Arial, sans-serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.1;
}

.div-block {
  color: #f8fafb;
  flex-flow: column;
  flex: 1;
  justify-content: space-between;
  align-items: center;
  display: flex;
}

.image {
  z-index: -1;
  object-fit: cover;
  width: 100%;
  height: 100%;
  position: relative;
}

.div-block-2 {
  z-index: -1;
  pointer-events: none;
  position: absolute;
  inset: 0%;
}

.image-2 {
  mix-blend-mode: overlay;
  object-fit: cover;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0%;
  overflow: hidden;
}

.div-block-3 {
  opacity: .2;
  pointer-events: none;
  background-color: #0d0d0d;
  position: absolute;
  inset: 0%;
}

.div-block-4 {
  z-index: 10;
  opacity: 1;
  pointer-events: none;
  flex-flow: column;
  justify-content: space-between;
  align-items: center;
  display: flex;
  position: absolute;
  inset: 0%;
}

.div-block-5 {
  -webkit-backdrop-filter: blur(12px);
  backdrop-filter: blur(12px);
  pointer-events: none;
  background-image: linear-gradient(0deg, #000000b3, #0d0d0d80 30%, #2c2c2c00);
  width: 100%;
  height: 30vh;
  position: absolute;
  inset: auto 0% 0%;
  -webkit-mask: linear-gradient(#0000, #000, #000);
  mask: linear-gradient(#0000, #000, #000);
}

.div-block-5.is--reverse {
  transform-style: preserve-3d;
  position: absolute;
  inset: auto 0% 0%;
  transform: rotateX(180deg)rotateY(0)rotateZ(0);
}

.div-block-6 {
  grid-column-gap: .5rem;
  grid-row-gap: .5rem;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  display: flex;
}

.heading {
  letter-spacing: -.02rem;
  text-transform: capitalize;
}

.div-block-7 {
  opacity: .3;
  background-color: #d9d9d9;
  flex: 1;
  height: 1px;
}

.div-block-7.is--cover {
  background-color: var(--color-black);
  opacity: .3;
}

.heading-2 {
  letter-spacing: -.3rem;
  border-bottom: 1px solid #d9d9d94d;
  margin-bottom: -.5rem;
  padding-bottom: .5rem;
  font-family: Caveat, Arial, sans-serif;
  font-size: 7.5rem;
  font-weight: 400;
  line-height: 1;
}

.heading-2.is--second {
  margin-right: -1.25rem;
  padding-right: 1.25rem;
}

.heading-2.is--cover {
  border-bottom-color: #1b1b1b4d;
}

.div-block-8 {
  flex-flow: column;
  display: flex;
}

.div-block-9 {
  grid-column-gap: .75rem;
  grid-row-gap: .75rem;
  flex-flow: column;
  align-self: flex-start;
  display: flex;
}

.link {
  background-color: var(--color-white);
  text-align: center;
  justify-content: center;
  align-self: flex-start;
  align-items: center;
  padding: 1rem 1.25rem;
  font-family: Geist, Arial, sans-serif;
  font-size: .875rem;
  font-weight: 500;
  transition: transform .2s;
  display: flex;
}

.link:hover {
  transform: scale(.95);
}

.heading-3 {
  letter-spacing: -.16rem;
  font-size: 4rem;
  font-weight: 400;
  line-height: 1.1;
}

.countdown {
  letter-spacing: -.16rem;
  min-width: 3.5rem;
  font-family: Caveat, Arial, sans-serif;
  font-size: 4rem;
  font-weight: 400;
  line-height: 1.1;
}

.div-block-10 {
  grid-column-gap: .5rem;
  grid-row-gap: .5rem;
  justify-content: flex-start;
  align-self: stretch;
  align-items: center;
  padding-top: .5rem;
  padding-bottom: .5rem;
  display: flex;
}

.heading-5 {
  letter-spacing: -.12rem;
  font-size: 3rem;
  font-weight: 400;
  line-height: 1;
}

.greeting-section {
  grid-column-gap: 3rem;
  grid-row-gap: 3rem;
  flex-flow: column;
  justify-content: flex-start;
  align-items: center;
  display: flex;
}

.div-block-11 {
  border: 1px solid #0000001a;
  flex-flow: column;
  flex: 1;
  justify-content: flex-start;
  align-self: stretch;
  align-items: center;
  padding: 1.25rem 1.25rem 10rem;
  display: flex;
  position: relative;
}

.div-block-12 {
  grid-column-gap: 1.5rem;
  grid-row-gap: 1.5rem;
  flex-flow: column;
  flex: 0 auto;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  display: flex;
}

.paragraph {
  color: #1b1b1b;
  font-size: 1.5rem;
}

.paragraph-2 {
  color: var(--color-black);
  letter-spacing: -.015rem;
  font-size: 1.5rem;
  line-height: 1.6;
}

.heading-6, .heading-7 {
  text-align: center;
  font-family: Caveat, Arial, sans-serif;
  font-size: 2.5rem;
  font-weight: 400;
}

.heading-section-wrapper {
  grid-column-gap: .625rem;
  grid-row-gap: .625rem;
  text-align: center;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  display: flex;
}

.paragraph-8 {
  color: #1b1b1be6;
  letter-spacing: -.03rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
}

.paragraph-8.is--dresscode {
  max-width: 37.5rem;
}

.paragraph-8.is--gift {
  max-width: 46.125rem;
}

.paragraph-8.is-footer {
  color: #fff;
  letter-spacing: 0;
  max-width: 46.125rem;
  font-family: Geist, Arial, sans-serif;
  font-weight: 400;
  line-height: 1.6;
}

.heading-section {
  text-align: center;
  font-family: Caveat, Arial, sans-serif;
  font-size: 3.5rem;
  font-weight: 400;
  line-height: 1.1;
}

.heading-section.is--white {
  color: var(--color-white);
}

.image-3 {
  object-fit: scale-down;
  width: 25.875rem;
  height: 18.625rem;
  position: absolute;
  bottom: -7.5rem;
}

.div-block-13 {
  z-index: 2;
  pointer-events: none;
  flex-flow: column;
  justify-content: space-between;
  align-items: flex-start;
  display: flex;
  position: absolute;
  inset: 0%;
}

.image-4 {
  width: 17.1563rem;
  height: 17.1563rem;
  margin-left: -5.8rem;
}

.image-4.is--reverse {
  transform-style: preserve-3d;
  margin-left: 0;
  margin-right: -5.8rem;
  transform: rotateX(0)rotateY(180deg)rotateZ(0);
}

.image-5 {
  object-fit: scale-down;
  align-self: flex-end;
  width: 16.8644rem;
  height: 16.8644rem;
  margin-top: -5.5rem;
  margin-right: -5rem;
}

.image-6 {
  pointer-events: none;
  mix-blend-mode: multiply;
  object-fit: cover;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0%;
  overflow: hidden;
}

.div-block-14 {
  mix-blend-mode: multiply;
  background-image: url('../images/greeting-shadow_1.avif');
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: cover;
  position: absolute;
  inset: 0%;
}

.profile-section {
  grid-column-gap: 3rem;
  grid-row-gap: 3rem;
  flex-flow: column;
  justify-content: flex-start;
  align-items: center;
  display: flex;
}

.div-block-15 {
  grid-column-gap: .5rem;
  grid-row-gap: .5rem;
  justify-content: center;
  align-items: center;
  display: flex;
}

.flower-icon {
  justify-content: center;
  align-items: center;
  width: 1.53313rem;
  height: 1.41563rem;
  display: flex;
}

.div-block-16 {
  grid-column-gap: 3rem;
  grid-row-gap: 3rem;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  margin-top: auto;
  margin-bottom: auto;
  display: flex;
}

.code-embed {
  justify-content: center;
  align-items: center;
  width: 4.09rem;
  height: 4.316rem;
  display: flex;
}

.div-block-17 {
  grid-column-gap: 1.5rem;
  grid-row-gap: 1.5rem;
  flex-flow: column;
  flex: 1;
  justify-content: center;
  align-items: center;
  display: flex;
}

.image-7 {
  pointer-events: none;
  mix-blend-mode: overlay;
  object-fit: cover;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0%;
}

.div-block-18 {
  background-color: var(--color-white);
  width: 24rem;
  height: 23rem;
  padding: .5rem .5rem 2.5rem;
  position: relative;
  overflow: hidden;
  box-shadow: -3.816px -1.908px 11.449px #0003;
}

.image-8 {
  object-fit: cover;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0%;
}

.profile-bottom {
  grid-column-gap: 1.5rem;
  grid-row-gap: 1.5rem;
  flex-flow: column;
  justify-content: center;
  align-self: stretch;
  padding-top: 1.5rem;
  padding-bottom: 1.5rem;
  display: flex;
}

.div-block-20 {
  grid-column-gap: .5rem;
  grid-row-gap: .5rem;
  pointer-events: none;
  justify-content: center;
  align-items: center;
  display: flex;
}

.div-block-21 {
  opacity: .3;
  background-color: #afa895;
  flex: 1;
  height: 1px;
}

.code-embed-2 {
  justify-content: center;
  align-items: center;
  width: 2.55331rem;
  height: 1.55819rem;
  display: flex;
}

.div-block-22 {
  grid-column-gap: .5rem;
  grid-row-gap: .5rem;
  text-align: center;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  display: flex;
}

.heading-9 {
  letter-spacing: -.12rem;
  text-transform: capitalize;
  font-family: Caveat, Arial, sans-serif;
  font-size: 3rem;
  font-weight: 400;
  line-height: 1.1;
}

.paragraph-3 {
  max-width: 18rem;
}

.paragraph-4 {
  color: #1b1b1be6;
  letter-spacing: -.03rem;
  line-height: 1.5;
}

.link-block {
  grid-column-gap: .25rem;
  grid-row-gap: .25rem;
  background-color: var(--color-black);
  color: var(--color-white);
  justify-content: center;
  align-items: center;
  padding: .5rem 1rem;
  transition: transform .2s;
  display: flex;
}

.link-block:hover {
  transform: scale(.95);
}

.code-embed-3 {
  justify-content: center;
  align-items: center;
  width: 1rem;
  height: 1rem;
  display: flex;
}

.text-block {
  letter-spacing: -.03rem;
  text-transform: lowercase;
  font-family: Inter, Arial, sans-serif;
  line-height: 1;
}

.div-block-23 {
  height: 100%;
  position: relative;
}

.heading-10 {
  color: var(--color-white);
  letter-spacing: -.08rem;
  text-transform: capitalize;
  width: 6rem;
  margin-bottom: 1rem;
  margin-left: 1rem;
  font-family: Caveat, Arial, sans-serif;
  font-size: 2rem;
  font-weight: 400;
  line-height: 1;
  position: absolute;
  inset: auto auto 0% 0%;
}

.event-section {
  background-color: #b9ae92;
  flex-flow: column;
  display: flex;
}

.image-9 {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.div-block-24 {
  height: 50vh;
  position: absolute;
  inset: auto 0% 0%;
}

.image-10 {
  mix-blend-mode: overlay;
  object-fit: cover;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0%;
}

.div-block-25 {
  pointer-events: none;
  justify-content: space-between;
  align-items: center;
  display: flex;
  position: absolute;
  inset: 0%;
}

.div-block-26 {
  grid-column-gap: 5.5rem;
  grid-row-gap: 5.5rem;
  flex-flow: column;
  flex: 1;
  justify-content: flex-start;
  align-items: center;
  display: flex;
  position: relative;
}

.div-block-27 {
  background-color: #d4ccb7;
  flex-flow: column;
  align-self: stretch;
  margin-top: auto;
  margin-bottom: auto;
  padding: 2.5rem;
  display: flex;
}

.code-embed-4 {
  grid-column-gap: 1.5rem;
  grid-row-gap: 1.5rem;
  object-fit: cover;
  width: 2rem;
  height: 1.9rem;
  display: flex;
}

.code-embed-5 {
  justify-content: center;
  align-self: center;
  align-items: center;
  width: 2rem;
  height: 1.9rem;
  display: flex;
}

.div-block-28 {
  justify-content: center;
  align-items: center;
  display: flex;
}

.div-block-29 {
  grid-column-gap: .75rem;
  grid-row-gap: .75rem;
  flex-flow: column;
  flex: 1;
  padding-top: .75rem;
  padding-bottom: .75rem;
  display: flex;
}

.div-block-30 {
  grid-column-gap: .6rem;
  grid-row-gap: .6rem;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  display: flex;
}

.div-block-31 {
  opacity: .3;
  background-color: #afa895;
  flex: 1;
  height: 1px;
}

.heading-11 {
  text-align: center;
  text-transform: capitalize;
  max-width: 20rem;
  font-family: Caveat, Arial, sans-serif;
  font-size: 3.5rem;
  font-weight: 400;
  line-height: 1;
}

.div-block-32 {
  grid-column-gap: .75rem;
  grid-row-gap: .75rem;
  flex-flow: column;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  padding-top: .5rem;
  padding-bottom: .5rem;
  display: flex;
}

.div-block-33, .div-block-34 {
  flex-flow: column;
  justify-content: center;
  align-items: center;
  display: flex;
}

.paragraph-5 {
  opacity: .7;
  text-align: center;
  letter-spacing: -.03rem;
  line-height: 1.5;
}

.div-block-35 {
  grid-column-gap: .5rem;
  grid-row-gap: .5rem;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  display: flex;
}

.text-block-2 {
  color: var(--color-white);
  text-align: center;
  letter-spacing: -.03rem;
  font-family: Inter, Arial, sans-serif;
  line-height: 1;
}

.link-block-2 {
  grid-column-gap: .5rem;
  grid-row-gap: .5rem;
  background-color: var(--color-black);
  flex: 1;
  justify-content: center;
  align-items: center;
  padding: .5rem 1.5rem;
  transition: transform .2s;
  display: flex;
}

.link-block-2:hover {
  transform: scale(.95);
}

.code-embed-6 {
  justify-content: center;
  align-items: center;
  width: 1.5rem;
  height: 1.5rem;
  display: flex;
}

.dresscode-section {
  grid-column-gap: 3rem;
  grid-row-gap: 3rem;
  flex-flow: column;
  justify-content: flex-start;
  align-items: center;
  display: flex;
}

.div-block-36 {
  grid-column-gap: .75rem;
  grid-row-gap: .75rem;
  justify-content: center;
  align-items: center;
  margin-top: auto;
  margin-bottom: auto;
  display: flex;
}

.image-11 {
  background-color: var(--color-white);
  object-fit: cover;
  width: 18rem;
  height: 100%;
  min-height: 50vh;
  padding: .5rem .5rem 2rem;
  overflow: hidden;
  box-shadow: 2px 2px 3px #0000001a;
}

.story-section {
  grid-column-gap: 1.5rem;
  grid-row-gap: 1.5rem;
  color: var(--color-white);
  flex-flow: column;
  justify-content: space-between;
  align-items: center;
  display: flex;
}

.div-block-37 {
  z-index: -1;
  position: absolute;
  inset: 0%;
}

.image-12 {
  pointer-events: none;
  mix-blend-mode: overlay;
  object-fit: cover;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0%;
}

.image-13 {
  object-fit: cover;
  object-position: 50% 20%;
  width: 100%;
  height: 100%;
}

.swiper.story-title-swiper {
  flex-flow: column;
  flex: 1;
  justify-content: space-between;
  align-self: stretch;
  align-items: center;
  margin-left: -7.5rem;
  margin-right: -7.5rem;
  display: flex;
}

.swiper.story-desc-swiper {
  flex-flow: column;
  align-self: stretch;
  max-width: 100vw;
  margin-left: -7.5rem;
  margin-right: -7.5rem;
  display: flex;
}

.story-title-list {
  justify-content: center;
  align-self: stretch;
  align-items: center;
  display: flex;
}

.story-paginations-wrapper {
  grid-column-gap: .75rem;
  grid-row-gap: .75rem;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  max-width: 100vw;
  margin-left: 7.5rem;
  margin-right: 7.5rem;
  display: flex;
  overflow: hidden;
  width: auto !important;
}

.div-block-38 {
  grid-column-gap: 1rem;
  grid-row-gap: 1rem;
  flex-flow: column;
  flex: 1;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  display: flex;
}

.swiper-slide {
  flex: none;
  max-width: 100vw;
}

.swiper-slide.story-desc-slide {
  flex: none;
  padding-left: 10vw;
  padding-right: 10vw;
  font-size: .875rem;
  line-height: 1.5;
}

.story-title-slide {
  text-align: center;
  text-transform: capitalize;
  flex: none;
  justify-content: center;
  align-items: center;
  max-width: 100vw;
  padding-top: 1rem;
  padding-bottom: .5rem;
  font-family: Caveat, Arial, sans-serif;
  font-size: 6rem;
  font-weight: 400;
  line-height: 1;
  display: flex;
}

.div-block-39 {
  position: absolute;
  inset: 0%;
}

.div-block-40 {
  flex-flow: column;
  justify-content: space-between;
  align-items: center;
  display: flex;
  position: absolute;
  inset: 0%;
}

.rsvp-section {
  flex-flow: row;
  justify-content: flex-end;
  align-items: center;
  max-height: 100vh;
  padding: 0 6.5rem 0 0;
  display: flex;
}

.form-block {
  align-self: stretch;
  margin-bottom: 0;
}

.wish-item {
  background-color: #d4ccb7;
  flex: none;
  align-self: stretch;
  width: 22.5625rem;
  padding: .5rem;
  position: relative;
}

.wish-list-wrapper {
  grid-column-gap: 1rem;
  grid-row-gap: 1rem;
  flex-flow: column;
  grid-template-rows: auto auto;
  grid-template-columns: 1fr 1fr;
  grid-auto-columns: 1fr;
  align-self: flex-start;
  height: 100vh;
  padding-top: 1rem;
  padding-bottom: 1rem;
  display: flex;
  position: relative;
  overflow: auto;
}

.wish-item-inner {
  grid-column-gap: 1rem;
  grid-row-gap: 1rem;
  flex-flow: column;
  padding: 1rem;
  display: flex;
  position: relative;
}

.div-block-44 {
  z-index: -1;
  width: 70vw;
  position: relative;
}

.image-14 {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.image-15 {
  pointer-events: none;
  mix-blend-mode: overlay;
  object-fit: cover;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0%;
}

.div-block-45 {
  z-index: -1;
  flex: 1;
  display: flex;
  position: absolute;
  inset: 0%;
}

.div-block-46 {
  width: 100%;
  max-width: 29.875rem;
  padding: 1rem;
  position: absolute;
  top: 50%;
  right: -50%;
  transform: translate(-50%, -50%);
}

.div-block-47 {
  background-color: #b9ae92;
  flex: 1;
  position: relative;
}

.div-block-48 {
  grid-column-gap: 1.5rem;
  grid-row-gap: 1.5rem;
  background-color: #d4ccb7;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  width: 29.875rem;
  margin-right: calc(70vw - 21rem);
  padding: 1rem;
  display: flex;
  position: absolute;
  transform: none;
}

.code-embed-7 {
  justify-content: center;
  align-items: center;
  width: 13.692rem;
  height: 2.79506rem;
  display: flex;
}

.form {
  grid-column-gap: .25rem;
  grid-row-gap: .25rem;
  flex-flow: column;
  display: flex;
}

.text-block-3 {
  display: flex;
}

.text-block-4 {
  background-color: var(--color-black);
  color: var(--color-white);
  cursor: pointer;
  justify-content: center;
  align-items: center;
  height: 3rem;
  padding: 1rem;
  font-family: Geist, Arial, sans-serif;
  font-size: .875rem;
  font-weight: 500;
  line-height: 1;
  transition: transform .2s;
  display: flex;
}

.text-block-4:hover {
  transform: scale(.95);
}

.text-field {
  color: var(--color-black);
  letter-spacing: -.01rem;
  background-color: #0000;
  border: 1px #000;
  border-bottom: 1px solid #b9ae92;
  height: 3.5rem;
  margin-bottom: 0;
  padding: 1rem 0;
}

.text-field:hover, .text-field:active, .text-field:focus, .text-field:focus-visible, .text-field[data-wf-focus-visible] {
  border-bottom-color: #a59a7f;
}

.text-field::placeholder {
  color: #1b1b1bcc;
}

.text-field.textarea {
  resize: none;
  height: 10.75rem;
}

.paragraph-6 {
  opacity: .8;
  color: #1a1b25;
  min-height: 5.9375rem;
  margin-bottom: -1rem;
  font-size: .875rem;
  line-height: 1.5;
}

.code-embed-8 {
  justify-content: center;
  align-items: center;
  width: 3.03106rem;
  height: 1.81506rem;
  display: flex;
}

.div-block-49 {
  justify-content: space-between;
  align-items: center;
  display: flex;
}

.heading-12 {
  font-family: Caveat, Arial, sans-serif;
  font-size: 1.5rem;
  font-weight: 400;
  line-height: 1.2;
}

.gift-section {
  grid-column-gap: 3rem;
  grid-row-gap: 3rem;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  display: flex;
}

.div-block-50 {
  grid-column-gap: 2.5rem;
  grid-row-gap: 2.5rem;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  display: flex;
  position: relative;
}

.div-block-51 {
  grid-column-gap: 0px;
  grid-row-gap: 0px;
  border: 1px solid #1b1b1b1a;
  flex: 1;
  grid-template-rows: auto auto;
  grid-template-columns: 1fr 1fr;
  grid-auto-columns: 1fr;
  align-self: stretch;
  max-width: 40rem;
  display: grid;
  overflow: hidden;
}

.div-block-52 {
  grid-column-gap: 1rem;
  grid-row-gap: 1rem;
  flex-flow: column;
  justify-content: space-between;
  align-items: flex-start;
  min-height: 7.5rem;
  padding: .75rem;
  display: flex;
}

.div-block-52.is--last {
  border-top: 1px solid #1b1b1b1a;
  flex-flow: row;
  justify-content: space-between;
  align-items: center;
  height: 7.5rem;
}

.div-block-52.is--first {
  border-right: 1px solid #1b1b1b1a;
}

.heading-13 {
  opacity: .8;
  letter-spacing: -.01rem;
  font-family: Interdisplay, Arial, sans-serif;
  font-size: 1rem;
  font-weight: 400;
}

.heading-14 {
  letter-spacing: -.12rem;
  font-family: Caveat, Arial, sans-serif;
  font-size: 3rem;
  font-weight: 400;
  line-height: 1.2;
}

.image-16 {
  align-self: flex-start;
  width: 7.73331rem;
  height: 1.8125rem;
}

.account-number {
  font-size: 2.375rem;
  font-weight: 400;
  line-height: 1.2;
}

.div-block-53 {
  flex-flow: column;
  justify-content: space-between;
  align-self: stretch;
  align-items: flex-start;
  display: flex;
}

.btn-copy-number {
  background-color: var(--color-black);
  color: var(--color-white);
  text-align: center;
  letter-spacing: -.03rem;
  cursor: pointer;
  justify-content: center;
  align-items: center;
  height: 2.5rem;
  padding: .5rem 1.5rem;
  font-family: Inter, Arial, sans-serif;
  font-weight: 400;
  line-height: 1;
  transition: transform .2s;
  display: flex;
}

.btn-copy-number:hover {
  transform: scale(.95);
}

.div-block-54 {
  pointer-events: none;
  justify-content: space-between;
  align-items: flex-end;
  display: flex;
  position: absolute;
  inset: 0%;
}

.gallery-section {
  grid-column-gap: 5rem;
  grid-row-gap: 5rem;
  background-color: #1c1c1c;
  flex-flow: column;
  justify-content: space-between;
  align-items: center;
  padding-left: 0;
  padding-right: 0;
  display: flex;
}

.image-17 {
  pointer-events: none;
  mix-blend-mode: overlay;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0%;
}

.gallery-item-list {
  grid-column-gap: 1rem;
  grid-row-gap: 1rem;
  flex: none;
  justify-content: flex-start;
  align-self: stretch;
  align-items: center;
  display: flex;
  position: relative;
}

.div-block-56 {
  align-self: stretch;
}

.image-18 {
  background-color: var(--color-white);
  object-fit: cover;
  flex: none;
  width: 18.8125rem;
  padding: .5rem .5rem 2.5rem;
  overflow: hidden;
}

.gallery-item-list-wrapper {
  justify-content: flex-start;
  align-self: stretch;
  align-items: center;
  display: flex;
}

.gallery-item-list-wrapper.is--last {
  justify-content: flex-end;
  align-items: center;
}

.footer-section {
  color: var(--color-white);
  flex-flow: column;
  justify-content: space-between;
  align-items: center;
  padding: 0;
  display: flex;
}

.div-block-57 {
  z-index: -1;
  position: absolute;
  inset: 0%;
}

.image-19 {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.image-20 {
  pointer-events: none;
  mix-blend-mode: overlay;
  object-fit: cover;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0%;
}

.div-block-58 {
  flex-flow: column;
  flex: 1;
  justify-content: space-between;
  align-items: center;
  display: flex;
}

.div-block-59 {
  flex-flow: column;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  display: flex;
}

.image-21 {
  display: none;
}

.image-21.is--reverse {
  transform-style: preserve-3d;
}

.div-block-61 {
  flex-flow: column;
  flex: 1;
  justify-content: space-between;
  align-self: stretch;
  align-items: center;
  padding: 2.5rem 1rem;
  display: flex;
  position: relative;
  overflow: hidden;
}

.div-block-62 {
  grid-column-gap: .5rem;
  grid-row-gap: .5rem;
  background-color: #1b1b1b;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  padding: 1rem;
  display: flex;
}

.heading-23 {
  color: #fff;
  letter-spacing: -.05rem;
  margin-top: 0;
  font-family: Hanken Grotesk;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.1;
}

.link-block-4 {
  grid-column-gap: .25rem;
  grid-row-gap: .25rem;
  color: #b4de00;
  justify-content: center;
  align-items: center;
  font-weight: 400;
  text-decoration: none;
  display: flex;
}

.div {
  width: 1rem;
  height: 1rem;
}

.heading-27 {
  margin-top: 0;
  font-family: Hanken Grotesk;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.1;
}

.div-block-63 {
  -webkit-backdrop-filter: blur(16px);
  backdrop-filter: blur(16px);
  background-image: linear-gradient(#0d0d0d80, #0d0d0d80 30%, #fff0);
  height: 30vh;
  -webkit-mask: linear-gradient(#000, #000, #0000);
  mask: linear-gradient(#000, #000, #0000);
}

.div-block-63.is--reverse {
  -webkit-backdrop-filter: none;
  backdrop-filter: none;
  transform-style: preserve-3d;
  transform: rotateX(180deg)rotateY(0)rotateZ(0);
}

.div-block-64 {
  flex-flow: column;
  justify-content: space-between;
  align-items: stretch;
  display: flex;
  position: absolute;
  inset: 0%;
}

.music {
  justify-content: center;
  align-items: center;
}

.code-embed-18 {
  width: 1.25rem;
  height: 1.25rem;
}

.navbar-wrapper {
  z-index: 999;
  grid-column-gap: .5rem;
  grid-row-gap: .5rem;
  flex-flow: row;
  justify-content: center;
  align-items: stretch;
  height: 3.25rem;
  transition: transform 1s cubic-bezier(.77, 0, .175, 1);
  display: flex;
  position: fixed;
  bottom: 2rem;
  left: 50%;
  transform: translate(-50%);
}

.navbar-wrapper.is--hide {
  transform: translate(-50%, 200%);
}

.heading-29 {
  font-family: Interdisplay, Arial, sans-serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.125rem;
}

.navbar-links {
  grid-column-gap: .5rem;
  grid-row-gap: .5rem;
  background-color: #1d1d1b;
  border-radius: 50rem;
  flex: none;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  padding: .5rem;
  display: flex;
  overflow: hidden;
  box-shadow: 0 8px 12.7px #0d0d1233;
}

.navbar-music {
  aspect-ratio: 1;
  color: #9d6c4e;
  cursor: pointer;
  background-color: #1d1d1b;
  border-radius: 50%;
  justify-content: center;
  align-items: center;
  height: 100%;
  padding: .5rem;
  display: flex;
  box-shadow: 0 8px 12.7px #0003;
}

.heading-28 {
  text-transform: capitalize;
  font-family: Inter, Arial, sans-serif;
  font-size: .875rem;
  font-weight: 500;
  line-height: 1;
}

.navbar-link {
  grid-column-gap: .5rem;
  grid-row-gap: .5rem;
  color: #fff;
  letter-spacing: -.01rem;
  border-radius: 50rem;
  flex: 1;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  padding-left: .75rem;
  padding-right: .75rem;
  transition: background-color .2s;
  display: flex;
}

.navbar-link:hover, .navbar-link.w--current {
  background-color: #fff3;
}

.navbar-link.is--order {
  color: #19191c;
  letter-spacing: -.02625rem;
  background-color: #fff;
  flex: 0 auto;
  align-self: stretch;
  padding-left: 1rem;
  padding-right: 1rem;
  font-family: Inter, Arial, sans-serif;
  font-size: .875rem;
  font-weight: 500;
}

.code-embed-19 {
  color: #fff;
  background-color: #fff3;
  border-radius: 50rem;
  justify-content: center;
  align-items: center;
  padding: .125rem;
  display: flex;
}

.cover-section {
  z-index: 800;
  background-color: var(--color-cream);
  justify-content: center;
  align-items: center;
  height: 100svh;
  padding: 5rem 1rem;
  transition: transform 1s cubic-bezier(.77, 0, .175, 1);
  display: none;
  position: fixed;
  inset: 0%;
  overflow: hidden;
}

.cover-section.is--hide {
  transform: translate(0, -100%);
}

.story-navigations-wrapper {
  display: none;
}

.swiper-wrapper.story-title-list {
  justify-content: flex-start;
  align-items: center;
}

.swiper-wrapper.story-desc-list {
  justify-content: flex-start;
  align-items: flex-start;
  display: flex;
}

.story-desc-slide {
  padding-left: 10vw;
  padding-right: 20vw;
  font-size: .875rem;
  line-height: 1.5;
}

.story-pagination {
  opacity: .3;
  color: #f8f6f4;
  letter-spacing: .8rem;
  font-family: Caveat, Arial, sans-serif;
  font-size: 2rem;
  font-weight: 400;
  transition: opacity .2s;
}

.story-pagination.story-pagination-active {
  opacity: 100;
}

.story-pagination-wrapper {
  flex: 1;
  justify-content: flex-start;
  align-items: center;
  display: flex;
}

.story-pagination-line {
  opacity: .15;
  background-color: #fff;
  width: 100%;
  height: 1px;
  transition: opacity .4s;
}

.text-block-5 {
  flex: none;
}

.parent {
  text-transform: capitalize;
}

.image-22 {
  pointer-events: none;
  object-fit: cover;
  width: 16.8644rem;
  height: 16.8644rem;
  position: absolute;
  inset: -6rem -6rem auto auto;
}

.image-23 {
  pointer-events: none;
  width: 17.1563rem;
  height: 17.1563rem;
  position: absolute;
  inset: auto auto 0% -5.79688rem;
}

.image-24 {
  pointer-events: none;
  mix-blend-mode: difference;
  object-fit: cover;
  background-image: url('../images/cover-shadow.avif');
  background-position: 50%;
  background-size: cover;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0%;
}

.div-block-65 {
  flex-flow: column;
  justify-content: space-between;
  align-self: stretch;
  align-items: center;
  display: flex;
  position: relative;
}

.image-25 {
  object-fit: contain;
  width: 25.875rem;
  max-height: 18.62rem;
  overflow: hidden;
}

.div-block-66 {
  grid-column-gap: 1.5rem;
  grid-row-gap: 1.5rem;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  display: flex;
}

.text-block-6 {
  background-color: var(--color-black);
  color: var(--color-white);
  text-align: center;
  letter-spacing: -.02625rem;
  text-transform: capitalize;
  cursor: pointer;
  border-radius: .75rem;
  justify-content: center;
  align-self: center;
  align-items: center;
  height: 2.5rem;
  padding: .75rem 1rem;
  font-family: Inter, Arial, sans-serif;
  font-size: .875rem;
  font-weight: 400;
  display: flex;
}

.div-block-67 {
  grid-column-gap: 1rem;
  grid-row-gap: 1rem;
  text-align: center;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  display: flex;
}

.paragraph-9 {
  opacity: .8;
  letter-spacing: -.03rem;
  font-family: Geist, Arial, sans-serif;
}

.heading-30 {
  letter-spacing: -.12rem;
  text-transform: capitalize;
  font-family: Caveat, Arial, sans-serif;
  font-size: 3rem;
  font-weight: 400;
  line-height: 1;
}

@media screen and (max-width: 991px) {
  .greeting-section {
    padding-left: 5rem;
    padding-right: 5rem;
  }

  .profile-section {
    padding-left: 1rem;
    padding-right: 1rem;
  }

  .div-block-18 {
    width: 100%;
  }

  .event-section {
    padding-left: 5rem;
    padding-right: 5rem;
  }

  .rsvp-section {
    grid-column-gap: 2.38rem;
    grid-row-gap: 2.38rem;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    max-height: none;
    padding: 2.5rem 1rem 0;
  }

  .wish-list-wrapper {
    align-self: center;
    height: 20rem;
  }

  .div-block-48 {
    margin-right: 0;
    position: static;
    transform: none;
  }

  .div-block-50 {
    flex-flow: column;
  }
}

@media screen and (max-width: 767px) {
  .hero-section {
    padding-top: 1rem;
    padding-bottom: 7.5rem;
  }

  .image {
    object-position: -10vw 50%;
  }

  .heading {
    line-height: 2;
  }

  .heading-2 {
    font-size: 4.75rem;
  }

  .div-block-8 {
    align-self: stretch;
  }

  .greeting-section {
    padding: 7.5rem 1.5rem;
  }

  .paragraph-2 {
    letter-spacing: -.01rem;
    font-size: 1rem;
  }

  .heading-6 {
    font-size: 1.25rem;
  }

  .heading-7 {
    max-width: 17.0625rem;
    font-size: 1.5rem;
  }

  .heading-section-wrapper {
    grid-column-gap: .5rem;
    grid-row-gap: .5rem;
  }

  .paragraph-8.is--dresscode, .paragraph-8.is--gift {
    color: var(--color-black);
    text-align: left;
    letter-spacing: 0;
    line-height: 1.6;
  }

  .paragraph-8.is-footer {
    text-align: left;
    letter-spacing: 0;
    line-height: 1.6;
  }

  .heading-section {
    font-size: 2.5rem;
    line-height: 1.2;
  }

  .image-3 {
    width: 17.3125rem;
    height: 12.5rem;
    bottom: -6rem;
  }

  .image-4 {
    width: 11.4375rem;
    height: 11.4375rem;
    margin-left: -3rem;
  }

  .image-4.is--reverse {
    margin-right: -3rem;
  }

  .image-4.is--reverse.is--event {
    margin-left: 0;
    margin-right: -4rem;
  }

  .image-4.is--greeting {
    margin-bottom: -3rem;
  }

  .image-4.is--event {
    margin-left: -4rem;
  }

  .image-4.is--hide {
    display: none;
  }

  .image-5 {
    width: 11.2429rem;
    height: 11.2429rem;
    margin-top: -2.5rem;
    margin-right: -4.2rem;
  }

  .profile-section {
    grid-column-gap: 2rem;
    grid-row-gap: 2rem;
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
  }

  .div-block-16 {
    grid-column-gap: 2rem;
    grid-row-gap: 2rem;
    flex-flow: column;
  }

  .profile-bottom {
    padding-top: 0;
    padding-bottom: 0;
  }

  .event-section {
    padding: 2.5rem 1rem;
  }

  .div-block-26 {
    grid-column-gap: 2.5rem;
    grid-row-gap: 2.5rem;
  }

  .div-block-27 {
    max-width: 22.5625rem;
    margin: 0 auto;
    padding: .5rem;
  }

  .div-block-28 {
    flex-flow: column;
  }

  .div-block-29 {
    align-self: stretch;
  }

  .heading-11 {
    font-size: 2.5rem;
  }

  .div-block-35 {
    margin-top: 1rem;
  }

  .dresscode-section {
    grid-column-gap: 2rem;
    grid-row-gap: 2rem;
    padding-top: 2.5rem;
    padding-bottom: 7.5rem;
  }

  .div-block-36 {
    grid-column-gap: .75rem;
    grid-row-gap: .75rem;
    grid-template-rows: 15.8125rem 15.8125rem;
    grid-template-columns: 1fr 1fr;
    grid-auto-rows: 15.8125rem;
    grid-auto-columns: 1fr;
    align-self: stretch;
    margin-top: 0;
    margin-bottom: 0;
    display: grid;
  }

  .image-11 {
    width: 100%;
    min-height: 0;
    overflow: hidden;
  }

  .story-section {
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
  }

  .swiper.story-title-swiper {
    margin-left: -1rem;
    margin-right: -1rem;
    position: relative;
  }

  .swiper.story-desc-swiper {
    margin-left: -1rem;
    margin-right: -1rem;
  }

  .story-title-list {
    max-width: 100vw;
  }

  .story-paginations-wrapper {
    margin-left: 1rem;
    margin-right: 1rem;
  }

  .div-block-38 {
    grid-column-gap: .5rem;
    grid-row-gap: .5rem;
  }

  .story-title-slide {
    height: 6.5625rem;
    padding: 0 4rem;
    font-size: 3rem;
  }

  .rsvp-section {
    justify-content: flex-start;
    align-items: center;
    padding-top: 3.6rem;
  }

  .wish-item {
    width: calc(100vw - 2rem);
  }

  .wish-list-wrapper {
    grid-column-gap: .5rem;
    grid-row-gap: .5rem;
    flex-flow: row;
    align-self: stretch;
    height: auto;
    margin-left: -1rem;
    margin-right: -1rem;
    padding: 0 1rem;
  }

  .div-block-44 {
    z-index: 1;
    width: 100%;
    height: 50vh;
  }

  .div-block-45 {
    flex-flow: column;
    align-self: stretch;
  }

  .div-block-47 {
    z-index: 2;
    align-self: stretch;
    padding: 3.64rem 1rem 1rem;
  }

  .div-block-48 {
    width: 100%;
    position: static;
    top: 0%;
    overflow: hidden;
    transform: none;
  }

  .gift-section {
    grid-column-gap: 1.5rem;
    grid-row-gap: 1.5rem;
    justify-content: flex-start;
    align-items: center;
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
  }

  .div-block-50 {
    grid-column-gap: 1.5rem;
    grid-row-gap: 1.5rem;
    flex-flow: column;
  }

  .heading-14 {
    letter-spacing: -.06rem;
    font-size: 1.5rem;
  }

  .account-number {
    font-size: 1.5rem;
  }

  .gallery-section {
    grid-column-gap: 3rem;
    grid-row-gap: 3rem;
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
  }

  .image-19 {
    object-position: 70% 50%;
  }

  .image-21 {
    object-fit: scale-down;
    width: 11.2429rem;
    height: 11.2429rem;
    margin-bottom: -3.5rem;
    margin-right: -4.5rem;
    display: block;
  }

  .image-21.is--reverse {
    margin-left: -4.5rem;
    transform: rotateX(0)rotateY(180deg)rotateZ(0);
  }

  .div-block-63.is--reverse {
    -webkit-backdrop-filter: blur(16px);
    backdrop-filter: blur(16px);
    height: 40vh;
  }

  .navbar-wrapper {
    height: 3.5rem;
    bottom: 1rem;
  }

  .heading-29 {
    display: none;
  }

  .navbar-link {
    aspect-ratio: 1;
    white-space: nowrap;
    flex: none;
    padding-left: .5rem;
    padding-right: .5rem;
  }

  .navbar-link.is--order {
    aspect-ratio: auto;
  }

  .cover-section {
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
  }

  .story-navigations-wrapper {
    z-index: 2;
    pointer-events: none;
    justify-content: space-between;
    align-items: center;
    display: flex;
    position: absolute;
    inset: auto 1rem 1.97rem;
  }

  .story-navigation {
    -webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
    pointer-events: auto;
    cursor: pointer;
    background-color: #f8f6f433;
    border-radius: 50rem;
    justify-content: center;
    align-items: center;
    width: 2.625rem;
    height: 2.625rem;
    display: flex;
  }

  .swiper-wrapper.story-title-list {
    position: relative;
  }

  .story-desc-slide {
    padding-left: 1rem;
    padding-right: 1rem;
  }

  .story-pagination {
    width: .5rem;
    font-size: 1rem;
  }

  .story-pagination-wrapper {
    grid-column-gap: .75rem;
    grid-row-gap: .75rem;
  }

  .image-22, .image-23 {
    display: none;
  }

  .image-25 {
    width: 100%;
    max-width: 20rem;
    max-height: 14.3961rem;
  }
}

@media screen and (max-width: 479px) {
  .div-block {
    align-self: stretch;
  }

  .image {
    object-position: -30vw 50%;
  }

  .div-block-18 {
    width: calc(100vw - .3rem);
    max-width: 24rem;
  }

  .rsvp-section {
    padding-bottom: 3.2rem;
  }

  .gift-section {
    padding-top: 2.5rem;
    padding-bottom: 8rem;
  }

  .image-19 {
    object-position: 70% 50%;
  }

  .div-block-60 {
    align-self: stretch;
  }

  .div-block-65 {
    flex: 1;
  }
}

#w-node-_8ecde9f9-bf85-a421-fe39-05c716935c5b-c1e6405d, #w-node-b4c0f69b-31d7-90af-cb33-68908401d46e-c1e6405d {
  grid-area: span 1 / span 2 / span 1 / span 2;
}


@font-face {
  font-family: 'Anybody';
  src: url('../fonts/Anybody-Regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: block;
}
@font-face {
  font-family: 'Caveat';
  src: url('../fonts/Caveat-Regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Geist';
  src: url('../fonts/Geist-Medium.woff2') format('woff2');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Inter';
  src: url('../fonts/Inter-Regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Interdisplay';
  src: url('../fonts/InterDisplay-Regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Geist';
  src: url('../fonts/Geist-Regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Inter';
  src: url('../fonts/Inter-Medium.woff2') format('woff2');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}